eID middleware |

# be.portugal.eid.PTEID_ValidationProcess Class Reference

Class that holds the possible validation processes to be used. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_ValidationProcess | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_ValidationProcess | PTEID_VALIDATION_PROCESS_NONE = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_NONE", pteidlibJava_WrapperJNI.PTEID_VALIDATION_PROCESS_NONE_get())
| no validation process
static final PTEID_ValidationProcess | PTEID_VALIDATION_PROCESS_CRL = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_CRL")
| CRL validation.
static final PTEID_ValidationProcess | PTEID_VALIDATION_PROCESS_OCSP = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_OCSP")
| OCSP validation.

## Detailed Description

Class that holds the possible validation processes to be used.

## Member Function Documentation

static PTEID_ValidationProcess be.portugal.eid.PTEID_ValidationProcess.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_ValidationProcess.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_ValidationProcess.toString | ( |  | ) |

## Member Data Documentation

final PTEID_ValidationProcess be.portugal.eid.PTEID_ValidationProcess.PTEID_VALIDATION_PROCESS_CRL = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_CRL")`[static]`

CRL validation.

final PTEID_ValidationProcess be.portugal.eid.PTEID_ValidationProcess.PTEID_VALIDATION_PROCESS_NONE = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_NONE", pteidlibJava_WrapperJNI.PTEID_VALIDATION_PROCESS_NONE_get())`[static]`

no validation process

final PTEID_ValidationProcess be.portugal.eid.PTEID_ValidationProcess.PTEID_VALIDATION_PROCESS_OCSP = new PTEID_ValidationProcess("PTEID_VALIDATION_PROCESS_OCSP")`[static]`

OCSP validation.